.loading-spinner{
  background-color: #0000001f;
  position: absolute;
  width: 100%;
  top: 0;
  left: 0;
  height: 100%;
  align-items: center;
  justify-content: center;
  display: flex;
  flex-direction: column;
  img {
    height: 100px;
    width: 100px;
  }

  .loading-message {
    text-align: center;
    color: var(--primary);
  }
}

.progress-loader {
  background-color: black;
  z-index: 999;
}
